[users] latest synaptic is broken

Nicolas Thierry-Mieg Nicolas.Thierry-Mieg at imag.fr
Thu Nov 6 17:37:41 CET 2008



Nicolas Thierry-Mieg wrote:
> hi,
> 
> I just updated to the latest synaptic and apt rpmforge packages, on an 
> x86_64 centos5 box.
> $ rpm -q synaptic apt
> synaptic-0.57.2-5.el5.rf.x86_64
> apt-0.5.15lorg3.94a-3.el5.rf.x86_64
> 
> The new apt works well, and I can install or upgrade packages with apt-get.
> However, synaptic is now broken for me
<snip>

Following up on this problem, I found that this is a known problem with 
a known solution:
http://lists.laiskiainen.org/pipermail/apt-rpm-laiskiainen.org/2008-April/000847.html

As indicated, I rebuilt the rpm including the patch:
http://apt-rpm.org/patches/synaptic-0.57.2-progressapi-hack.patch

This solves the problem for me.

I'm attaching a patch to the rpmforge synaptic.spec file, which also 
includes the solution to another problem (broken pam config file for 
synaptic on x86_64) that I had submitted back in september but that 
didn't get applied (why?).


Regards,
Nicolas
-------------- next part --------------
A non-text attachment was scrubbed...
Name: synaptic_spec.patch
Type: text/x-patch
Size: 1479 bytes
Desc: not available
URL: <http://lists.repoforge.org/pipermail/users/attachments/20081106/3d9a3f5b/attachment-0004.bin>


More information about the users mailing list